This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 972714 - User process fault (libply.so) during boot (plymouth)
User process fault (libply.so) during boot (plymouth)
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: prelink (Show other bugs)
19
s390x All
high Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ZedoraTracker
  Show dependency treegraph
 
Reported: 2013-06-10 09:01 EDT by IBM Bug Proxy
Modified: 2015-02-17 10:31 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:31:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
dmesg log (14.87 KB, text/plain)
2013-06-10 09:02 EDT, IBM Bug Proxy
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 94273 None None None Never

  None (edit)
Description IBM Bug Proxy 2013-06-10 09:01:49 EDT
== Comment: #0 - SACHIN P. SANT <ssant@in.ibm.com> - 2013-05-30 11:51:40 ==
Steps to recreate the problem :

1) Start F19 installation using vnc.
2) Select DASDs for installation.
3) Setup the installation source (ftp based)
4) Go to Software Selection screen and select GNOME desktop option.
5) Complete the installation and reboot.

Following call traces were observed during boot :

[    0.942348] dasdconf.sh Warning: 0.0.3594 is already online, not configuring
[    1.480886] EXT4-fs (dasda2): mounted filesystem with ordered data mode. Opts: (null)
[    1.512022] User process fault: interruption code 0x6003B in libply.so.2.1.0[401073c000+18000]
[    1.512029] failing address: 0
[    1.512032] CPU: 0 Not tainted 3.9.4-300.fc19.s390x #1
[    1.512033] Process plymouth (pid: 243, task: 00000000b9243080, ksp: 00000000b9497eb0)
[    1.512035] User PSW : 0705000180000000 0000004010744ba2 (0x4010744ba2)
[    1.512040]            R:0 T:1 IO:1 EX:1 Key:0 M:1 W:0 P:1 AS:0 CC:0 PM:0 EA:3
User GPRS: 0000000000000000 0000004010746130 0000000000000000 00000000be37cf30
[    1.512043]            0000004010744ba2 00000000be37cf40 000003fffff7a320 000003fffff7a750
[    1.512045]            0000000080003088 00000000000000cb 0000000080afe700 000003fffff7a768
[    1.512047]            000003fffff7a520 00000000800073fa 0000004010744ba2 000003fffff7a048
[    1.512056] User Code: 0000004010744b94: a784002b            brc     8,4010744bea
           0000004010744b98: 41202010           la      %r2,16(%r2)
          #0000004010744b9c: c0e5fffff90a       brasl   %r14,4010743db0
          >0000004010744ba2: e3b020080004       lg      %r11,8(%r2)
           0000004010744ba8: b904002d           lgr     %r2,%r13
           0000004010744bac: c0e5ffffe17a       brasl   %r14,4010740ea0
           0000004010744bb2: c0100000848f       larl    %r1,40107554d0
           0000004010744bb8: b9040032           lgr     %r3,%r2
[    1.512077] Last Breaking-Event-Address:
[    1.512079]  [<0000004010743e72>] 0x4010743e72
[    1.528662] systemd-journald[47]: Received SIGTERM
[    1.601674] type=1404 audit(1369928044.546:2): enforcing=1 old_enforcing=0 auid=4294967295 ses=4294967295
[    2.052933] SELinux: 2048 avtab hash slots, 98369 rules.
[    2.066244] SELinux: 2048 avtab hash slots, 98369 rules.

== Comment: #4 - SACHIN P. SANT <ssant@in.ibm.com> - 2013-06-06 04:12:57 ==
Following traces were also observed in addition to the one mentioned in comment #1

[   13.113451] User process fault: interruption code 0x60038 in libpython2.7.so.1.0[4c77759000+1b4000]
[   13.113457] failing address: 1E3667AFF4E46000
[   13.113460] CPU: 1 Not tainted 3.9.4-300.fc19.s390x #1
[   13.113462] Process firewall-cmd (pid: 678, task: 0000000031eab080, ksp: 0000000035a37ac8)
[   13.113464] User PSW : 0705200180000000 0000004c778968d4 (0x4c778968d4)
[   13.113468]            R:0 T:1 IO:1 EX:1 Key:0 M:1 W:0 P:1 AS:0 CC:2 PM:0 EA:3
User GPRS: 0000000000000081 000000008e1020f0 1e3667aff4e46d5c 0000000000000000
[   13.113471]            0000000000000000 000003fffffa3928 0000004c7755ab80 0000004c7793e2d8
[   13.113473]            0000004c778968c4 0000000000000000 000003fffd483748 000000000000000d
[   13.113475]            0000004c77559000 1e3667aff4e46d5c 0000004c777dab14 000003fffffa37f0
[   13.113484] User Code: 0000004c778968c4: ebdff0680024	stmg	%r13,%r15,104(%r15)
           0000004c778968ca: e3f0ff60ff71	lay	%r15,-160(%r15)
          #0000004c778968d0: b90400d2		lgr	%r13,%r2
          >0000004c778968d4: e31020080004	lg	%r1,8(%r2)
           0000004c778968da: 914010ae		tm	174(%r1),64
           0000004c778968de: a7840015		brc	8,4c77896908
           0000004c778968e2: e31011480002	ltg	%r1,328(%r1)
           0000004c778968e8: a7840006		brc	8,4c778968f4
[   13.113500] Last Breaking-Event-Address:
[   13.113502]  [<0000004c777dab12>] 0x4c777dab12
[   13.116209] Process 679(abrt-hook-ccpp) has RLIMIT_CORE set to 1
[   13.116211] Aborting core
[   13.125947] Ebtables v2.0 registered
[   13.139492] ip6_tables: (C) 2000-2006 Netfilter Core Team
[   66.693473] User process fault: interruption code 0x20001 in libc-2.17.so[4c773a9000+1ac000]
[   66.693487] CPU: 1 Not tainted 3.9.4-300.fc19.s390x #1
[   66.693491] Process pgrep (pid: 740, task: 0000000031ea9840, ksp: 000000003d79f938)
[   66.693493] User PSW : 0705000180000000 0000004c773e7574 (0x4c773e7574)
[   66.693504]            R:0 T:1 IO:1 EX:1 Key:0 M:1 W:0 P:1 AS:0 CC:0 PM:0 EA:3
User GPRS: 0000000000000001 000003ff00000006 ffffffffffffffff ffffffffffffffa0
[   66.693511]            000000000000000d 00000000000002e4 0000000000000023 00000000ffffffff
[   66.693515]            000003ffff92d6b0 0000004c7751dc58 000003fffd43a6f0 0000004c7755b030
[   66.693519]            0000004c77559000 0000004c7755b040 0000004c773e7598 000003ffff92d400
[   66.693534] User Code:>0000004c773e7574: a729007f		lghi	%r2,127
           0000004c773e7578: a7180008		lhi	%r1,8
           0000004c773e757c: 5010d000		st	%r1,0(%r13)
           0000004c773e7580: c0e500045572	brasl	%r14,4c77472064
           0000004c773e7586: a7290006		lghi	%r2,6
           0000004c773e758a: a7180006		lhi	%r1,6
           0000004c773e758e: 5010d000		st	%r1,0(%r13)
[   66.693595] Last Breaking-Event-Address:
[   66.693596]  [<0000004c773e7552>] 0x4c773e7552
[   66.696524] Process 741(abrt-hook-ccpp) has RLIMIT_CORE set to 1
[   66.696528] Aborting core
[  126.703947] User process fault: interruption code 0x20001 in libc-2.17.so[4c773a9000+1ac000]
[  126.703960] CPU: 1 Not tainted 3.9.4-300.fc19.s390x #1
[  126.703964] Process pgrep (pid: 784, task: 0000000031eab080, ksp: 00000000359cfac8)
[  126.703967] User PSW : 0705000180000000 0000004c773e7574 (0x4c773e7574)
[  126.703978]            R:0 T:1 IO:1 EX:1 Key:0 M:1 W:0 P:1 AS:0 CC:0 PM:0 EA:3
User GPRS: 0000000000000001 000003ff00000006 ffffffffffffffff ffffffffffffffa0
[  126.703985]            000000000000000d 0000000000000310 0000000000000023 00000000ffffffff
[  126.703989]            000003ffffd1ab40 0000004c7751dc58 000003fffd6ae6f0 0000004c7755b030
[  126.703993]            0000004c77559000 0000004c7755b040 0000004c773e7598 000003ffffd1a890
[  126.704008] User Code:>0000004c773e7574: a729007f		lghi	%r2,127
           0000004c773e7578: a7180008		lhi	%r1,8
           0000004c773e757c: 5010d000		st	%r1,0(%r13)
           0000004c773e7580: c0e500045572	brasl	%r14,4c77472064
           0000004c773e7586: a7290006		lghi	%r2,6
           0000004c773e758a: a7180006		lhi	%r1,6
           0000004c773e758e: 5010d000		st	%r1,0(%r13)
[  126.704075] Last Breaking-Event-Address:
[  126.704076]  [<0000004c773e7552>] 0x4c773e7552
[  126.708484] Process 785(abrt-hook-ccpp) has RLIMIT_CORE set to 1
[  126.708488] Aborting core
[  127.419353] Process 790(abrt-hook-ccpp) has RLIMIT_CORE set to 1
[  127.419360] Aborting core

Over a period of time the log gets filled up with such traces.
Comment 1 IBM Bug Proxy 2013-06-10 09:02:10 EDT
Created attachment 759172 [details]
dmesg log
Comment 2 IBM Bug Proxy 2013-07-22 02:40:43 EDT
------- Comment From ssant@in.ibm.com 2013-07-22 06:31 EDT-------
This problem affects regular use of a Fedora installed system. Increasing the severity and priority.
Comment 3 IBM Bug Proxy 2013-09-27 04:24:21 EDT
------- Comment From onmahaja@in.ibm.com 2013-09-27 08:13 EDT-------
Redhat , any updates here ?

Regards,
Onkar
Comment 4 IBM Bug Proxy 2014-02-27 11:48:16 EST
------- Comment From thorsten.diehl@de.ibm.com 2014-02-27 16:30 EDT-------
Works for me with RHEL7 snap8.
For "Base Environment" I selected "Server with GUI" (the last of the options.
Performed two installations, both successfully.

Can be closed, if somebody can confirm that it works in Fedora, too.
Comment 5 Georg Markgraf 2014-02-28 07:40:05 EST
Dan, Samantha,
this works on RHEL 7 and F19 is closed - please check fix inclusion into FED 19 or 20 and close this BZ thx
Comment 6 Dan Horák 2014-02-28 07:55:51 EST
Georg, this is the famous prelink issue in Fedora 19 and 20. There is no fixed F-20 build of prelink yet, because it fails to pass the test-suite on ARM. I'll talk with Jakub (the prelink author and maintainer) how to proceed.
Comment 7 Dan Horák 2014-02-28 08:01:58 EST
and for the record - the workaround is to uninstall prelink.
Comment 8 IBM Bug Proxy 2014-09-09 07:01:12 EDT
------- Comment From mgrf@de.ibm.com 2014-09-09 10:58 EDT-------
(In reply to comment #12)
> Georg, this is the famous prelink issue in Fedora 19 and 20. There is no
> fixed F-20 build of prelink yet, because it fails to pass the test-suite on
> ARM. I'll talk with Jakub (the prelink author and maintainer) how to proceed.
>
> and for the record - the workaround is to uninstall prelink.

Dan,
any advice feedback on this ?
Comment 9 Dan Horák 2014-09-09 08:46:49 EDT
(In reply to IBM Bug Proxy from comment #8)
> ------- Comment From mgrf@de.ibm.com 2014-09-09 10:58 EDT-------
> (In reply to comment #12)
> > Georg, this is the famous prelink issue in Fedora 19 and 20. There is no
> > fixed F-20 build of prelink yet, because it fails to pass the test-suite on
> > ARM. I'll talk with Jakub (the prelink author and maintainer) how to proceed.
> >
> > and for the record - the workaround is to uninstall prelink.
> 
> Dan,
> any advice feedback on this ?

not much we can do until someone fixes prelink (or it's test-suite) on 32-bit ARM, it's a low priority task for the developer (Jakub)
Comment 10 Fedora End Of Life 2015-01-09 13:22:43 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2015-02-17 10:31:08 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.